### Function

# GdkX11 X11Surface lookup_for_display

#### Declaration [src]

    GdkSurface*
    gdk_x11_surface_lookup_for_display (
      GdkDisplay* display,
      Window window
    )

#### Description [src]

Looks up the `GdkSurface` that wraps the given native window handle.

#### Parameters

`display` | `GdkX11Display`
| The `GdkDisplay` corresponding to the window handle.
| The data is owned by the caller of the function.
`window` | `Window`
| An Xlib Window.

#### Return value

Returns: | `GdkX11Surface`
| The `GdkSurface` wrapper for the native window.
| The data is owned by the called function.